com.ihr.xbrl.transform.target

## Class XBRLReportHandler

- java.lang.Object
- - com.ihr.xbrl.transform.target.XBRLReportHandler

- All Implemented Interfaces:
    DefaultUnitProviderInterface, LangsProvider, NegatedSupport, HasBoySupport, XBRLReportHandlerInterface
  Direct Known Subclasses:
    HTMLReportHandler

      public abstract class XBRLReportHandler
      extends java.lang.Object
      implements XBRLReportHandlerInterface, LangsProvider, HasBoySupport, NegatedSupport, DefaultUnitProviderInterface

  This is a class with methods providing functions to create a result container the container must be able to: - create new empty documents, and - provide navigation capabilites to return the points in which new information will be inserted.
  Author:
    Ignacio

- - ### Field Summary

    - ### Fields inherited from interface com.ihr.xbrl.dts.NegatedSupport

      `negatedRoleURIS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLReportHandler(TransformProcessor tp)` Instantiates a new XBRL report handler.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract XBRLTransformationResult` | `createNewResult(net.sf.saxon.s9api.Processor proc)` Creates a new document container.
    `void` | `endOfDocument()` Called by the transformation processor to indicate the end of a document processing Usually a document footer is produced.
    `XBRLFilterContextImpl` | `getFilterContext()` Gets the filter context.
    `TransformProcessor` | `getTransformer()` Gets the transformer.
    `abstract void` | `init()` Inits the.
    `void` | `processContexts(java.util.Iterator<XBRLContext> contexts)` Called by the transformation processor to provide the contexts for the data that will be found later during the processing of facts the default process updates the content of some variables.
    `abstract void` | `setConfigFile(java.net.URI configFile)` Sets the config file.
    `void` | `startOfDocument(XBRLInstance instance)` Called by the transformation processor to indicate the start of a new document.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.ihr.xbrl.transform.target.XBRLReportHandlerInterface

      `getConfigFile`

    - ### Methods inherited from interface com.ihr.xbrl.dts.LangsProvider

      `getLangs, setLangs, showNewLangsAddedMessage`

    - ### Methods inherited from interface com.ihr.xbrl.gui.interfaces.HasBoySupport

      `askUserNewBoyMonth, getBoyMonth, setBoyMonth`

    - ### Methods inherited from interface com.ihr.xbrl.dts.NegatedSupport

      `isNegated`

    - ### Methods inherited from interface com.ihr.xbrl.dts.DefaultUnitProviderInterface

      `getDefaultUnit`

- - ### Constructor Detail

    - #### XBRLReportHandler

          public XBRLReportHandler(TransformProcessor tp)

      Instantiates a new XBRL report handler.
      Parameters:
        `tp` - the tp

  - ### Method Detail

    - #### getTransformer

          public TransformProcessor getTransformer()

      Gets the transformer.
      Returns:
        the transformer

    - #### setConfigFile

          public abstract void setConfigFile(java.net.URI configFile)

      Description copied from interface: `XBRLReportHandlerInterface`
      Sets the config file.
      Specified by:
        `setConfigFile` in interface `XBRLReportHandlerInterface`
      Parameters:
        `configFile` - the new config file

    - #### init

          public abstract void init()
                             throws DataTargetConfigurationFileException

      Description copied from interface: `XBRLReportHandlerInterface`
      Inits the.
      Specified by:
        `init` in interface `XBRLReportHandlerInterface`
      Throws:
        `DataTargetConfigurationFileException` - the data target configuration file exception

    - #### createNewResult

          public abstract XBRLTransformationResult createNewResult(net.sf.saxon.s9api.Processor proc)

      Description copied from interface: `XBRLReportHandlerInterface`
      Creates a new document container.
      Specified by:
        `createNewResult` in interface `XBRLReportHandlerInterface`
      Parameters:
        `proc` - the Saxonica Processor instance
      Returns:
        XBRLTransformationResult

    - #### startOfDocument

          public void startOfDocument(XBRLInstance instance)
                               throws FactHandlerException

      Description copied from interface: `XBRLReportHandlerInterface`
      Called by the transformation processor to indicate the start of a new document. Usually a document header is produced.
      Specified by:
        `startOfDocument` in interface `XBRLReportHandlerInterface`
      Parameters:
        `instance` - the instance
      Throws:
        `FactHandlerException` - the fact handler exception

    - #### processContexts

          public void processContexts(java.util.Iterator<XBRLContext> contexts)

      Description copied from interface: `XBRLReportHandlerInterface`
      Called by the transformation processor to provide the contexts for the data that will be found later during the processing of facts the default process updates the content of some variables.
      Specified by:
        `processContexts` in interface `XBRLReportHandlerInterface`
      Parameters:
        `contexts` - Iterator

    - #### endOfDocument

          public void endOfDocument()

      Description copied from interface: `XBRLReportHandlerInterface`
      Called by the transformation processor to indicate the end of a document processing Usually a document footer is produced.
      Specified by:
        `endOfDocument` in interface `XBRLReportHandlerInterface`

    - #### getFilterContext

          public XBRLFilterContextImpl getFilterContext()

      Gets the filter context.
      Returns:
        the filterContext